Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 245042 - netbeans debug value view window is not resizable
netbeans debug value view window is not resizable
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
8.0.1
PC All
: P1 (vote)
: 8.0.1
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-13 14:31 UTC by masengul
Modified: 2014-07-23 07:57 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
screen shots (112.34 KB, application/octet-stream)
2014-06-13 14:31 UTC, masengul
Details
screen shots (112.66 KB, application/octet-stream)
2014-06-16 10:26 UTC, masengul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description masengul 2014-06-13 14:31:57 UTC
Created attachment 147669 [details]
screen shots

we are a developer group working in same company from Turkey. I am using netbeans and other 6 friends use eclipse. Eclipse has very bad maven support and it is very difficult to continue with eclipse in this project. I advised them to use netbeans  ide. They tried netbeans and loved but some properties in eclipse they miss very much. 2 properties they say specially. Also generally, eclipse users talk about same properties. My friends say, "if netbeans have this properties, we change our ide to netbeans". i want them to be netbeans developer

1) Variable inspector window should be resizable. Another person has opened this issue before (236228).

2) Method names in the java file can be searched.

I will add eclipse equivalent screen shots
Comment 1 Jiri Kovalsky 2014-06-16 08:15:16 UTC
As for the 1st problem, you might not know that the Variables tab can be detached from the IDE using "Float" popup menu action if you right click the tab header. Then you can customize the size of Variables window freely.
Comment 2 masengul 2014-06-16 08:38:56 UTC
I know that we can deattach variables tab but it is not effective. if you look at the picture variable_value.jpg in screen shots.rar, popup is not resizable. Mostly developers use that popup. It is very important for developers in debug time and i think, it must be very easy to use. if object is complex,  it is very difficult to look at sub object values and others.
Comment 3 Jiri Kovalsky 2014-06-16 09:49:00 UTC
I cannot unfortunately extract the images from the archive - probably due to your local characters that my system cannot recognize.

But I understand that if we are talking about the popup window appearing when mouse pointer hovers over a variable in Editor, it's not usable for complex objects. So this RFE is valid.
Comment 4 masengul 2014-06-16 10:26:58 UTC
Created attachment 147691 [details]
screen shots

Yes, you are right. that popup we talk about.
i added screen shots again as screenshots.zip you can see it in variablepopup.jpg named picture. 

2) And also, method search window  like "go to file", "go to type" under navigate menu. it is difficult to search and go to method. There is a navigator tab in netbeans but it is not suitable to use in big classes. when we try to find a method, we use scroll down or scroll up or search. Eclipse method search dialog is very nice. i think same with eclipse users about this dialog. you can see eclipse dialog in picture named ctrlO.jpg in zip file. 

If tou can not open zip file again, i will upload them to google drive or dropbox. so you can see them easily.
Comment 5 Jiri Kovalsky 2014-06-16 11:43:27 UTC
Yes, I can see the screenshots now. Thanks.

However, I would like to ask you to not mix two issues into one. This issue concerns variable popup window and correctly belongs to Debugger/Code.

If you are not satisfied with Navigator or Go to File/Type features, please create their own new tickets [1]. Thanks.

[1] https://netbeans.org/bugzilla/enter_bug.cgi?product=java&component=Navigation
Comment 6 masengul 2014-06-16 11:48:26 UTC
Ok. I will open new issue for other. Thank you very much.
Comment 7 Martin Entlicher 2014-06-16 14:31:41 UTC
The value view that is opened from the tooltip in the Editor is displayed in an intentionally light-weight window. The small width on the window is unfortunately the preferred size of the value component.
I've changed it to always span the maximum editor width:
changeset:   275014:c0a85f6a2bc3
http://hg.netbeans.org/core-main/rev/c0a85f6a2bc3
Comment 8 Quality Engineering 2014-06-19 02:35:34 UTC
Integrated into 'main-silver', will be available in build *201406190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c0a85f6a2bc3
User: mentlicher@netbeans.org
Log: #245042: Let the value component to span the whole editor width for comfortable use.
Comment 9 masengul 2014-06-22 10:05:16 UTC
thank you very much. it is great.
Comment 10 Jiri Kovalsky 2014-07-23 07:57:08 UTC
Verified.

Product Version: NetBeans IDE Dev (Build 201407230001)
Java: 1.8.0_11; Java HotSpot(TM) Client VM 25.11-b03
Runtime: Java(TM) SE Runtime Environment 1.8.0_11-b12
System: Linux version 3.13.0-24-generic running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo